petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCTelescopeGetSubcommType

Get the subcommunicator type (interlaced or contiguous)

### Synopsis

    #include "petscksp.h"
    #include "petscdm.h"
    PetscErrorCode PCTelescopeGetSubcommType(PC pc, PetscSubcommType *subcommtype)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

subcommtype -the subcommunicator type (see PetscSubcommType)

### See Also

PetscSubcomm, PetscSubcommType, PCTELESCOPE

### Level

advanced

### Location

src/ksp/pc/impls/telescope/telescope.c

### Implementations

PCTelescopeGetSubcommType_Telescope in src/ksp/pc/impls/telescope/telescope.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages